package main

import (
	"embed"
	"fmt"
	// _ "embed"
)

//go:embed hello1.txt
var str1 string

//go:embed hello1.txt
var b []byte

//go:embed hello1.txt
var f1 embed.FS

//go:embed hello1.txt hello2.txt
var f2 embed.FS

//go:embed hello1.txt
//go:embed hello2.txt
var f3 embed.FS

//go:embed somedir
var f4 embed.FS

// //go:embed somedir/*
// var f5 embed.FS

func main() {
	print(str1)

	print(string(b))

	data, _ := f1.ReadFile("hello1.txt")
	print(string(data))

	data1, _ := f2.ReadFile("hello1.txt")
	print(string(data1))

	data2, _ := f2.ReadFile("hello2.txt")
	fmt.Print(string(data2))

	data3, _ := f3.ReadFile("hello1.txt")
	print(string(data3))

	data41, _ := f4.ReadFile("somedir/hello1.txt")
	fmt.Print(string(data41))

	data42, _ := f4.ReadFile("somedir/hello2.txt")
	fmt.Print(string(data42))
}
